cascading.tuple.util

## Class TupleHasher.HashFunction

- java.lang.Object
- - cascading.tuple.util.TupleHasher.HashFunction

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    TupleHasher

      public static class TupleHasher.HashFunction
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleHasher.HashFunction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `hash(Tuple tuple, Hasher[] hashers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleHasher.HashFunction

          public TupleHasher.HashFunction()

  - ### Method Detail

    - #### hash

          public int hash(Tuple tuple,
                 Hasher[] hashers)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.